<?php

namespace Teknisa\SUP\Modules\Cotacao\Modules\Pedido\Services;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class Sup09700VariacaoDePrecosDosProdutosParaCotacaoViaInternetService
{
    protected $connection;
	
    public function __construct($environment, $connection) 
    {
        $this->environment = $environment;
        $this->connection = $connection;
    }
    
    public function updatePercentage($row) {
        $param = array(
            "VRPERVARPREPRFO"   => $row['VRPERVARPREPRFO'],
            "VRPERVARDESCPRFO"  => $row['VRPERVARDESCPRFO'],
            "CDFORNECED"        => $row['CDFORNECED'],
            "CDPRODCOMPL"       => $row['CDPRODUTO']
        );
        
        $query = "UPDATE 
                    PRODFORNCOMP
                 SET
                    VRPERVARPREPRFO = :VRPERVARPREPRFO,
                    VRPERVARDESCPRFO = :VRPERVARDESCPRFO
                 WHERE
                    CDFORNECED = :CDFORNECED AND
                    CDPRODCOMPL = :CDPRODCOMPL";
                    
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e){
            throw $e;
        }
    }
}
